XML extension on PHP7.2がこける【解決】

以下の画像のように依存性パケージがこける。ご参考までにphp-xmlだけでなくzipもコケてます。環境は以下の通り

  • CentOS7
  • Apache2.4.6
  • php7.2.15
  • MariaDB10.2.22

yum install php-xml実行後の結果

Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: ftp.iij.ad.jp
 * epel: ftp.riken.jp
 * extras: ftp.iij.ad.jp
 * remi-safe: ftp.riken.jp
 * updates: ftp.iij.ad.jp
Resolving Dependencies
--> Running transaction check
---> Package php-xml.x86_64 0:5.4.16-46.el7 will be installed
--> Processing Dependency: php-common(x86-64) = 5.4.16-46.el7 for package: php-xml-5.4.16-46.el7.x86_64
--> Finished Dependency Resolution
Error: Package: php-xml-5.4.16-46.el7.x86_64 (base)
           Requires: php-common(x86-64) = 5.4.16-46.el7
           Installed: php-common-7.2.15-1.el7.remi.x86_64 (@remi-php72)
               php-common(x86-64) = 7.2.15-1.el7.remi
           Available: php-common-5.4.16-46.el7.x86_64 (base)
               php-common(x86-64) = 5.4.16-46.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

以下AWSのフォーラムでも同じことが起きてて、zip extensionも同じ問題というのも全く状況同じ。。。

https://forums.aws.amazon.com/thread.jspa?threadID=275613

以下コマンドで解決。phpのバージョンを72で指定した。この調子でzipも解決したい。

yum install --enablerepo=remi-php72 php-xml

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

CAPTCHA


このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください